Package org.apache.groovy.json.internal

## Interface Value

- All Known Implementing Classes:
    `CharSequenceValue`, `NumberValue`, `ValueContainer`

      public interface Value

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.math.BigDecimal` | `bigDecimalValue()` |
    `java.math.BigInteger` | `bigIntegerValue()` |
    `boolean` | `booleanValue()` |
    `byte` | `byteValue()` |
    `char` | `charValue()` |
    `void` | `chop()` |
    `java.util.Date` | `dateValue()` |
    `double` | `doubleValue()` |
    `float` | `floatValue()` |
    `int` | `intValue()` |
    `boolean` | `isContainer()` |
    `long` | `longValue()` |
    `short` | `shortValue()` |
    `java.lang.String` | `stringValue()` |
    `java.lang.String` | `stringValueEncoded()` |
    `<T extends java.lang.Enum> T` | `toEnum​(java.lang.Class<T> cls)` |
    `java.lang.Object` | `toValue()` |

- - ### Method Detail

    - #### byteValue

          byte byteValue()

    - #### shortValue

          short shortValue()

    - #### intValue

          int intValue()

    - #### longValue

          long longValue()

    - #### bigDecimalValue

          java.math.BigDecimal bigDecimalValue()

    - #### bigIntegerValue

          java.math.BigInteger bigIntegerValue()

    - #### floatValue

          float floatValue()

    - #### doubleValue

          double doubleValue()

    - #### booleanValue

          boolean booleanValue()

    - #### dateValue

          java.util.Date dateValue()

    - #### stringValue

          java.lang.String stringValue()

    - #### stringValueEncoded

          java.lang.String stringValueEncoded()

    - #### toValue

          java.lang.Object toValue()

    - #### toEnum

          <T extends java.lang.Enum> T toEnum​(java.lang.Class<T> cls)

    - #### isContainer

          boolean isContainer()

    - #### chop

          void chop()

    - #### charValue

          char charValue()